<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_b8323c396da91" . "0cd2da11d4d098" . "5e9c5" => base64_decode("aXNfcn" . "Vubmlu" . "Zw=="), "_2351a63ea5f1aa926b0753" . "b192e8d841" => base64_decode("RmFpbGVkIHRvIGNvbnZl" . "cnQg"), "_5e905cea5856ef40d35ea1edaf185d" . "1b" => base64_decode("IHVz" . "aW5n" . "IA=="), "_31767d7ad58e70" . "6dbf47b7a51a0fe" . "6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_77317902a" . "2c903eaeed" . "66f6a366de" . "08b" => base64_decode("ZXhjZXB" . "0aW9uX2" . "1lc3NhZ" . "2U="), "_ba3845cb79c005c" . "f3269af8c83ddbe5" . "e" => base64_decode("ZXJyb3" . "I="), "_20b3ce3ff928713" . "aae2421713e60898" . "a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVyLmVycm9yLmN" . "vdWxkX25vdF9jb25uZWN0"), "_a7a98b53d82ba82" . "123bc4047484cd74" . "2" => base64_decode("Y29tbW9uLmRvY" . "3VtZW50X2Nvbn" . "ZlcnRlci5ub19" . "jb252ZXJ0ZXJz"), "_0c5123aa744f69bbc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZw" . "=="), "_b0e753deb9" . "741c6e9b3d1" . "7cac47b5dc5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3VtZW50IENvbnZlcnRlcnMgdG8gdX" . "NlLg=="), "_946c6fe2025cf682630a" . "fe8f8cdf5861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlcnRlci51bmtu" . "b3duX2Vycm9y"), "_6dc023075e7b7a10fcc37e2d1b6910" . "33" => base64_decode("IHRvIA" . "=="));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_b0e753deb9741c6e9b3d17cac4" . "7b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_31767d7ad58e706dbf47b7a51a" . "0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_946c6fe2025cf682630afe8f8c" . "df5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_2351a63ea5f1aa926" . "b0753b192e8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6dc023075e7b7a10fcc37e2d" . "1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5e905cea5856ef40d35ea1edaf" . "185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_77317902a2c903eaeed66f6a" . "366de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a7a98b53d82ba821" . "23bc4047484cd742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_b8323c396da910cd2da11d4d098" . "5e9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_ba3845cb79c00" . "5cf3269af8c83d" . "dbe5e"]] = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_20b3ce3ff928713aae24217" . "13e60898a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}